From 64181b127ed91035a9608bdefb8cb0a151479c83 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 16 2020 06:42:54 +0000
Subject: [PATCH 132/2232] Ignore Void in return position


---

diff --git a/syntax/parse.rs b/syntax/parse.rs
index e059ae5..67bb52b 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -180,7 +180,10 @@ fn parse_extern_fn(foreign_fn: &ForeignItemFn) -> Result<ExternFn> {
     }
     let ret = match &foreign_fn.sig.output {
         ReturnType::Default => None,
-        ReturnType::Type(_, ty) => Some(parse_type(ty)?),
+        ReturnType::Type(_, ty) => match parse_type(ty)? {
+            Type::Void(_) => None,
+            ty => Some(ty),
+        },
     };
     let doc = attrs::parse_doc(&foreign_fn.attrs)?;
     let fn_token = foreign_fn.sig.fn_token;

